Subject: bleadperl on 1.5.0s
From: "H.Merijn Brand" <[email-masked]>
To: Cygwin Development <[email-masked]>
Cc: Gerrit Haase <[email-masked]>
Date: Fri, 02 May 2003 11:11:58 +0200

PC09:/P/perl-current 505 $ uname -a
CYGWIN_NT-5.0 PC09 1.5.0s(0.84/3/2) 20030426 23:49:26 i686 unknown unknown Cygwin
PC09:/P/perl-current 506 $

PC09:/P/perl-current 506 $ Configure -Dusedevel -Uversiononly -des
:
:
`sh  cflags "optimize=''" opmini.o`  -DPERL_EXTERNAL_GLOB opmini.c
          CCCMD =  gcc -DPERL_CORE -c -DDEBUGGING -I/usr/X11R6/include -DPERL_US
E_SAFE_PUTENV -fno-strict-aliasing   -Wall
rm -f opmini.c
PATH=/P/perl-current:.:.:/pro/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/C
/Bin:/C/Util/Perl/bin:/C/Util/Elvis:/C/WinNT/system32:/C/WinNT:/C/WinNT/System32
/Wbem:/C/Util/MySQL/bin:/C/Util/ImageMagick:/usr/local:/etc:/usr/lib:/lib:/sbin:
/usr/sbin gcc -L/P/perl-current  -L/usr/local/lib -o miniperl miniperlmain.o opm
ini.o -lperl -lcrypt -lutil
PATH=/P/perl-current:.:.:/pro/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/C
/Bin:/C/Util/Perl/bin:/C/Util/Elvis:/C/WinNT/system32:/C/WinNT:/C/WinNT/System32
/Wbem:/C/Util/MySQL/bin:/C/Util/ImageMagick:/usr/local:/etc:/usr/lib:/lib:/sbin:
/usr/sbin ./miniperl -w -Ilib -MExporter -e '<?>' || make minitest
Use of uninitialized value in concatenation (.) or string at lib/Exporter.pm lin
e 34.
Use of uninitialized value in concatenation (.) or string at lib/Exporter.pm lin
e 34.
Use of uninitialized value in array dereference at lib/Exporter.pm line 35.
Use of uninitialized value in numeric gt (>) at lib/Exporter.pm line 35.
Use of uninitialized value in hash element at lib/Exporter.pm line 37.
Use of uninitialized value in hash element at lib/Exporter.pm line 37.
Use of uninitialized value in array dereference at lib/Exporter.pm line 38.
PATH=/P/perl-current:.:.:/pro/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/C
/Bin:/C/Util/Perl/bin:/C/Util/Elvis:/C/WinNT/system32:/C/WinNT:/C/WinNT/System32
/Wbem:/C/Util/MySQL/bin:/C/Util/ImageMagick:/usr/local:/etc:/usr/lib:/lib:/sbin:
/usr/sbin ./miniperl -Ilib configpm configpm.tmp
Name "main::list" used only once: possible typo at configpm line 398.
Name "main::Extensions" used only once: possible typo at configpm line 198.
Name "main::fast_config" used only once: possible typo at configpm line 423.
Name "main::opt" used only once: possible typo at configpm line 35.
Name "main::t" used only once: possible typo at configpm line 392.
Name "main::myver" used only once: possible typo at configpm line 99.
Name "main::Common" used only once: possible typo at configpm line 203.
Name "main::format" used only once: possible typo at configpm line 398.
Use of uninitialized value in printf at configpm line 63.
Use of uninitialized value in printf at configpm line 63.
Use of uninitialized value in printf at configpm line 63.
Use of uninitialized value in eval "string" at configpm line 159.
Use of uninitialized value in eval "string" at configpm line 159.
Use of uninitialized value in eval "string" at configpm line 159.
Use of uninitialized value in sort at configpm line 236.
Use of uninitialized value in sort at configpm line 236.
Use of uninitialized value in sort at configpm line 236.
Use of uninitialized value in sort at configpm line 236.
... repeated > 1000 times ...
Use of uninitialized value in sort at configpm line 236.
Use of uninitialized value in sort at configpm line 236.
Use of uninitialized value in sort at configpm line 236.
Use of uninitialized value in join or string at configpm line 236.
Use of uninitialized value in join or string at configpm line 236.
Use of uninitialized value in join or string at configpm line 236.
Use of uninitialized value in join or string at configpm line 236.
Use of uninitialized value in join or string at configpm line 236.
... repeated > 1000 times ...

Line 236 config.pm is
print CONFIG join("", @v_fast, sort @v_others);

@v_vast is initialized in:

open(CONFIG_SH, 'config.sh') || die "Can't open config.sh: $!";
while (<CONFIG_SH>) {
    next if m:^#!/bin/sh:;
:
:
    my $line = "$name=$quote$val$quote\n";
    if (!$Common{$name}){
        push(@v_others, $line);
    }
    else {
        push(@v_fast, $line);
        $v_fast{$name} = "'$name' => $quote$val$quote";
    }

making it IMHO impossible to be undefined. Whatever the other variables are,
there will be at least a '=' and a '\n' in $line (hence in every value in
@v_others and @v_fast)

1.5.0s is the first snap where this happened

-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using perl-5.6.1, 5.8.0 & 633 on HP-UX 10.20 & 11.00, AIX 4.2, AIX 4.3,
  WinNT 4, Win2K pro & WinCE 2.11.  Smoking perl CORE: [email-masked]
http://archives.develooper.com/[email-masked]/   [email-masked]
send smoke reports to: [email-masked], QA: http://qa.perl.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/